diff --git a/base/server/cms/src/com/netscape/cms/servlet/csadmin/RegisterUser.java b/base/server/cms/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
index 74197a4a806d4b35a1a45f96f2799e0065105094..f02932e2baf434cf9b1b13902fb7bd02d34845cf 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
@@ -36,6 +36,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.usrgrp.ICertUserLocator;
 import com.netscape.certsrv.usrgrp.IGroup;
@@ -65,9 +66,6 @@ public class RegisterUser extends CMSServlet {
     private final static String SUCCESS = "0";
     private final static String AUTH_FAILURE = "2";
     private String mGroupName = null;
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_ROLE =
-            "LOGGING_SIGNED_AUDIT_CONFIG_ROLE_3";
-
     public RegisterUser() {
         super();
     }
@@ -202,7 +200,7 @@ public class RegisterUser extends CMSServlet {
                 ugsys.addUser(user);
                 CMS.debug("RegisterUser created user " + uid);
                 auditMessage = CMS.getLogMessage(
-                              LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                              AuditEvent.CONFIG_ROLE,
                               auditSubjectID,
                               ILogger.SUCCESS,
                               auditParams);
@@ -227,7 +225,7 @@ public class RegisterUser extends CMSServlet {
                 ugsys.addUserCert(user);
                 CMS.debug("RegisterUser added user certificate");
                 auditMessage = CMS.getLogMessage(
-                              LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                              AuditEvent.CONFIG_ROLE,
                               auditSubjectID,
                               ILogger.SUCCESS,
                               auditParams);
@@ -237,7 +235,7 @@ public class RegisterUser extends CMSServlet {
         } catch (Exception eee) {
             CMS.debug("RegisterUser error " + eee.toString());
             auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                                AuditEvent.CONFIG_ROLE,
                                 auditSubjectID,
                                 ILogger.FAILURE,
                                 auditParams);
@@ -270,7 +268,7 @@ public class RegisterUser extends CMSServlet {
                 CMS.debug("RegisterUser modified group");
 
                 auditMessage = CMS.getLogMessage(
-                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                               AuditEvent.CONFIG_ROLE,
                                auditSubjectID,
                                ILogger.SUCCESS,
                                auditParams);
@@ -279,7 +277,7 @@ public class RegisterUser extends CMSServlet {
             }
         } catch (Exception e) {
             auditMessage = CMS.getLogMessage(
-                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                               AuditEvent.CONFIG_ROLE,
                                auditSubjectID,
                                ILogger.FAILURE,
                                auditParams);
diff --git a/base/server/cms/src/com/netscape/cms/servlet/csadmin/SecurityDomainProcessor.java b/base/server/cms/src/com/netscape/cms/servlet/csadmin/SecurityDomainProcessor.java
index 69e76fcb98ea62ce38e5150a2834f92eaa375f07..cd769db15c8c078bbffb541ddff926fc769b54f5 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/csadmin/SecurityDomainProcessor.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/csadmin/SecurityDomainProcessor.java
@@ -90,7 +90,7 @@ public class SecurityDomainProcessor extends CAProcessor {
 
         if (!ugSubsystem.isMemberOf(user, group)) {
             String message = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                    AuditEvent.ROLE_ASSUME,
                     user,
                     ILogger.FAILURE,
                     group);
@@ -100,7 +100,7 @@ public class SecurityDomainProcessor extends CAProcessor {
         }
 
         String message = CMS.getLogMessage(
-                LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                AuditEvent.ROLE_ASSUME,
                 user,
                 ILogger.SUCCESS,
                 group);
diff --git a/base/server/cms/src/com/netscape/cms/servlet/csadmin/UpdateDomainXML.java b/base/server/cms/src/com/netscape/cms/servlet/csadmin/UpdateDomainXML.java
index bed43573bba884c04f465cd85baf812dccd3c793..5872ab03123ef3833347a7ee991d22cdb0a5ec27 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/csadmin/UpdateDomainXML.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/csadmin/UpdateDomainXML.java
@@ -63,9 +63,6 @@ public class UpdateDomainXML extends CMSServlet {
     private static final long serialVersionUID = 4059169588555717548L;
     private final static String SUCCESS = "0";
     private final static String FAILED = "1";
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_ROLE =
-            "LOGGING_SIGNED_AUDIT_CONFIG_ROLE_3";
-
     public UpdateDomainXML() {
         super();
     }
@@ -372,7 +369,7 @@ public class UpdateDomainXML extends CMSServlet {
                     status2 = remove_from_ldap(adminUserDN);
                     if (status2.equals(SUCCESS)) {
                         auditMessage = CMS.getLogMessage(
-                                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                                               AuditEvent.CONFIG_ROLE,
                                                auditSubjectID,
                                                ILogger.SUCCESS,
                                                userAuditParams);
@@ -388,13 +385,13 @@ public class UpdateDomainXML extends CMSServlet {
                         status2 = modify_ldap(dn, mod);
                         if (status2.equals(SUCCESS)) {
                             auditMessage = CMS.getLogMessage(
-                                                   LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                                                   AuditEvent.CONFIG_ROLE,
                                                    auditSubjectID,
                                                    ILogger.SUCCESS,
                                                    userAuditParams);
                         } else {
                             auditMessage = CMS.getLogMessage(
-                                                   LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                                                   AuditEvent.CONFIG_ROLE,
                                                    auditSubjectID,
                                                    ILogger.FAILURE,
                                                    userAuditParams);
@@ -402,7 +399,7 @@ public class UpdateDomainXML extends CMSServlet {
                         audit(auditMessage);
                     } else { // error deleting user
                         auditMessage = CMS.getLogMessage(
-                                               LOGGING_SIGNED_AUDIT_CONFIG_ROLE,
+                                               AuditEvent.CONFIG_ROLE,
                                                auditSubjectID,
                                                ILogger.FAILURE,
                                                userAuditParams);
diff --git a/base/server/cms/src/com/netscape/cms/servlet/processors/CAProcessor.java b/base/server/cms/src/com/netscape/cms/servlet/processors/CAProcessor.java
index 566923325833100f9d5a106a9653be7308f0f6ac..ad79cbbf0952cea922db370f865d0dd7eaa55fe3 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/processors/CAProcessor.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/processors/CAProcessor.java
@@ -117,8 +117,6 @@ public class CAProcessor extends Processor {
     public static final String ACL_INFO = "ACLinfo";
     public static final String PROFILE_SUB_ID = "profileSubId";
 
-    public final static String LOGGING_SIGNED_AUDIT_ROLE_ASSUME =
-            "LOGGING_SIGNED_AUDIT_ROLE_ASSUME_3";
     public final static String SIGNED_AUDIT_CERT_REQUEST_REASON =
             "requestNotes";
 
@@ -731,7 +729,7 @@ public class CAProcessor extends Processor {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                        AuditEvent.ROLE_ASSUME,
                         auditSubjectID,
                         ILogger.SUCCESS,
                         auditGroupID);
@@ -748,7 +746,7 @@ public class CAProcessor extends Processor {
                 audit(auditMessage);
 
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                        AuditEvent.ROLE_ASSUME,
                         auditSubjectID,
                         ILogger.FAILURE,
                         auditGroupID);
@@ -767,7 +765,7 @@ public class CAProcessor extends Processor {
             audit(auditMessage);
 
             auditMessage = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                    AuditEvent.ROLE_ASSUME,
                     auditSubjectID,
                     ILogger.FAILURE,
                     auditGroupID);
@@ -864,7 +862,7 @@ public class CAProcessor extends Processor {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                        AuditEvent.ROLE_ASSUME,
                         auditID,
                         ILogger.SUCCESS,
                         auditGroups(auditSubjectID));
@@ -883,7 +881,7 @@ public class CAProcessor extends Processor {
 
                 // store a message in the signed audit log file
                 auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                        AuditEvent.ROLE_ASSUME,
                         auditID,
                         ILogger.FAILURE,
                         auditGroups(auditSubjectID));
@@ -905,7 +903,7 @@ public class CAProcessor extends Processor {
 
             // store a message in the signed audit log file
             auditMessage = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_ROLE_ASSUME,
+                    AuditEvent.ROLE_ASSUME,
                     auditID,
                     ILogger.FAILURE,
                     auditGroups(auditSubjectID));
diff --git a/base/server/cms/src/org/dogtagpki/server/rest/AuditService.java b/base/server/cms/src/org/dogtagpki/server/rest/AuditService.java
index 7bb048f194a9197ba603af87f0af163d532a8b3c..2d5b371f0f0b52e452263faee6cbc765190b078e 100644
--- a/base/server/cms/src/org/dogtagpki/server/rest/AuditService.java
+++ b/base/server/cms/src/org/dogtagpki/server/rest/AuditService.java
@@ -49,6 +49,7 @@ import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.PKIException;
 import com.netscape.certsrv.base.ResourceNotFoundException;
 import com.netscape.certsrv.logging.AuditConfig;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.AuditFile;
 import com.netscape.certsrv.logging.AuditFileCollection;
 import com.netscape.certsrv.logging.AuditResource;
@@ -412,7 +413,7 @@ public class AuditService extends SubsystemService implements AuditResource {
     public void auditTPSConfigSignedAudit(String status, Map<String, String> params) {
 
         String msg = CMS.getLogMessage(
-                "LOGGING_SIGNED_AUDIT_CONFIG_SIGNED_AUDIT_3",
+                AuditEvent.CONFIG_SIGNED_AUDIT,
                 servletRequest.getUserPrincipal().getName(),
                 status,
                 auditor.getParamString(null, params));
diff --git a/base/server/cms/src/org/dogtagpki/server/rest/GroupService.java b/base/server/cms/src/org/dogtagpki/server/rest/GroupService.java
index 4ee28102afe37899c6a3da7e128c7a28a1241a57..4aa0209afda5e66ada3c9e87dcca31c2f2874bc4 100644
--- a/base/server/cms/src/org/dogtagpki/server/rest/GroupService.java
+++ b/base/server/cms/src/org/dogtagpki/server/rest/GroupService.java
@@ -40,7 +40,7 @@ import com.netscape.certsrv.group.GroupData;
 import com.netscape.certsrv.group.GroupMemberData;
 import com.netscape.certsrv.group.GroupNotFoundException;
 import com.netscape.certsrv.group.GroupResource;
-import com.netscape.certsrv.logging.IAuditor;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IGroupConstants;
@@ -432,6 +432,6 @@ public class GroupService extends SubsystemService implements GroupResource {
     }
 
     public void audit(String type, String id, Map<String, String> params, String status) {
-        audit(IAuditor.LOGGING_SIGNED_AUDIT_CONFIG_ROLE, ScopeDef.SC_GROUPS, type, id, params, status);
+        audit(AuditEvent.CONFIG_ROLE, ScopeDef.SC_GROUPS, type, id, params, status);
     }
 }
diff --git a/base/server/cms/src/org/dogtagpki/server/rest/UserService.java b/base/server/cms/src/org/dogtagpki/server/rest/UserService.java
index eeadba5ae2d4500295e4dfa256b22ebb2c18112c..e10c4f5c1259e30c9e6fd43b4e54d4282b02f4b0 100644
--- a/base/server/cms/src/org/dogtagpki/server/rest/UserService.java
+++ b/base/server/cms/src/org/dogtagpki/server/rest/UserService.java
@@ -52,7 +52,7 @@ import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.certsrv.group.GroupMemberData;
-import com.netscape.certsrv.logging.IAuditor;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.password.IPasswordCheck;
 import com.netscape.certsrv.user.UserCertCollection;
@@ -1227,10 +1227,10 @@ public class UserService extends SubsystemService implements UserResource {
     }
 
     public void auditUser(String type, String id, Map<String, String> params, String status) {
-        audit(IAuditor.LOGGING_SIGNED_AUDIT_CONFIG_ROLE, ScopeDef.SC_USERS, type, id, params, status);
+        audit(AuditEvent.CONFIG_ROLE, ScopeDef.SC_USERS, type, id, params, status);
     }
 
     public void auditUserCert(String type, String id, Map<String, String> params, String status) {
-        audit(IAuditor.LOGGING_SIGNED_AUDIT_CONFIG_ROLE, ScopeDef.SC_USER_CERTS, type, id, params, status);
+        audit(AuditEvent.CONFIG_ROLE, ScopeDef.SC_USER_CERTS, type, id, params, status);
     }
 }
diff --git a/base/server/cmscore/src/com/netscape/cmscore/cert/CertUtils.java b/base/server/cmscore/src/com/netscape/cmscore/cert/CertUtils.java
index 400ad0cdb29f5af277197fcccda8cbe242b322c0..e1c4c760741bc77945e301ec6b4c66d31689dd1d 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/cert/CertUtils.java
+++ b/base/server/cmscore/src/com/netscape/cmscore/cert/CertUtils.java
@@ -41,6 +41,7 @@ import org.mozilla.jss.CryptoManager.CertificateUsage;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.logging.AuditEvent;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cmsutil.util.Utils;
 
@@ -84,9 +85,6 @@ public class CertUtils {
             "-----END CERTIFICATE REVOCATION LIST-----";
 
     protected static ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
-    private final static String LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION =
-            "LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION_3";
-
     /**
      * Remove the header and footer in the PKCS10 request.
      */
@@ -911,7 +909,7 @@ public class CertUtils {
             if (subsysType == null) {
                 CMS.debug("CertUtils: verifySystemCerts() invalid cs.type in CS.cfg. System certificates verification not done");
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                            AuditEvent.CIMC_CERT_VERIFICATION,
                             ILogger.SYSTEM_UID,
                             ILogger.FAILURE,
                             "");
@@ -936,7 +934,7 @@ public class CertUtils {
             verifySystemCertByNickname(nickname, certusage);
 
             auditMessage = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                    AuditEvent.CIMC_CERT_VERIFICATION,
                     ILogger.SYSTEM_UID,
                     ILogger.SUCCESS,
                         nickname);
@@ -947,7 +945,7 @@ public class CertUtils {
             CMS.debug("CertUtils: verifySystemCertsByTag() failed: " +
                     e.toString());
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                        AuditEvent.CIMC_CERT_VERIFICATION,
                         ILogger.SYSTEM_UID,
                         ILogger.FAILURE,
                         "");
@@ -1009,7 +1007,7 @@ public class CertUtils {
             if (subsysType.equals("")) {
                 CMS.debug("CertUtils: verifySystemCerts() cs.type not defined in CS.cfg. System certificates verification not done");
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                            AuditEvent.CIMC_CERT_VERIFICATION,
                             ILogger.SYSTEM_UID,
                             ILogger.FAILURE,
                             "");
@@ -1022,7 +1020,7 @@ public class CertUtils {
             if (subsysType == null) {
                 CMS.debug("CertUtils: verifySystemCerts() invalid cs.type in CS.cfg. System certificates verification not done");
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                            AuditEvent.CIMC_CERT_VERIFICATION,
                             ILogger.SYSTEM_UID,
                             ILogger.FAILURE,
                             "");
@@ -1036,7 +1034,7 @@ public class CertUtils {
                 CMS.debug("CertUtils: verifySystemCerts() "
                         + subsysType + ".cert.list not defined in CS.cfg. System certificates verification not done");
                 auditMessage = CMS.getLogMessage(
-                            LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                            AuditEvent.CIMC_CERT_VERIFICATION,
                             ILogger.SYSTEM_UID,
                             ILogger.FAILURE,
                             "");
@@ -1056,7 +1054,7 @@ public class CertUtils {
         } catch (Exception e) {
             // audit here
             auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_CIMC_CERT_VERIFICATION,
+                        AuditEvent.CIMC_CERT_VERIFICATION,
                         ILogger.SYSTEM_UID,
                         ILogger.FAILURE,
                         "");
diff --git a/base/server/cmscore/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java b/base/server/cmscore/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
index 4ddb42c67506c727bb52fdc6092a383f87ad22bb..95556b9c636f192485f0bcf5009a53a875839d29 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
+++ b/base/server/cmscore/src/com/netscape/cmscore/selftests/SelfTestSubsystem.java
@@ -96,9 +96,6 @@ public class SelfTestSubsystem
     private static final String ELEMENT_DELIMITER = ":";
     private static final String CRITICAL = "critical";
 
-    private static final String LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION =
-            "LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION_2";
-
     /////////////////////
     // default methods //
     /////////////////////
@@ -1809,7 +1806,7 @@ public class SelfTestSubsystem
 
             // store a message in the signed audit log file
             String auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                        AuditEvent.SELFTESTS_EXECUTION,
                         ILogger.SYSTEM_UID,
                         ILogger.SUCCESS);
 
@@ -1819,7 +1816,7 @@ public class SelfTestSubsystem
 
             // store a message in the signed audit log file
             String auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                        AuditEvent.SELFTESTS_EXECUTION,
                         ILogger.SYSTEM_UID,
                         ILogger.FAILURE);
 
@@ -1832,7 +1829,7 @@ public class SelfTestSubsystem
 
             // store a message in the signed audit log file
             String auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_SELFTESTS_EXECUTION,
+                        AuditEvent.SELFTESTS_EXECUTION,
                         ILogger.SYSTEM_UID,
                         ILogger.FAILURE);
 
-- 
2.9.3

